Subject: Re: [PATCH] doc: add a explanation of Git's data model

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Oct 2025 13:01:58 -0700

"Julia Evans" <[email-masked]> writes:

> I think it's useful to refer this as an "ID", because usually we call it a
> "commit ID" or "tag ID" and not a "commit name" or "tag name"
> and it makes it more clear that "object name" and "commit ID"
> refer to the same identifier.

It is a bit funny that they do not exactly align.

    "object name" aka "object ID"
    "$type object name" aka "$type ID" for type in (commit, blob, tree, tag)

In any case, we should add "object ID" and other "$type ID" to the
glossary, if you are going to use it very often.  We have entries
for spelled out "identifier" but I do not think "ID" is there yet.

Thanks.